Advisory Details

April 3rd, 2014

McAfee Cloud Identity Manager ExtensionAccessServlet Information Disclosure Vulnerability

ZDI-14-050
ZDI-CAN-1929

CVE ID
CVSS SCORE 7.8, (AV:N/AC:L/Au:N/C:C/I:N/A:N)
AFFECTED VENDORS McAfee
AFFECTED PRODUCTS Cloud Identity Manager
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of McAfee Cloud Identify Manager. Authentication is not required to exploit this vulnerability.

The specific flaw exists within a servlet called ExtensionAccessServlet which contains a directory traversal vulnerability inside the path info string of a GET request. A remote attacker can leverage this vulnerability to read arbitrary files from the underlying OS with SYSTEM privileges.

ADDITIONAL DETAILS McAfee has issued an update to correct this vulnerability. More details can be found at:
https://kc.mcafee.com/corporate/index?page=content&id=SB10066
DISCLOSURE TIMELINE
  • 2013-09-30 - Vulnerability reported to vendor
  • 2014-04-03 - Coordinated public release of advisory
CREDIT Andrea Micalizzi aka rgod
BACK TO ADVISORIES